"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.prependFileSync = prependFileSync;
const fs = __importStar(require("fs-extra"));
/**
 * Makes use of fs.readFileSync and fs.writeFileSync to prepend data to a file synchronously.
 * @param filePath - The path to the file to which data will be prepended.
 * @param newData - The data to prepend to the file.
 */
function prependFileSync(filePath, newData) {
    try {
        const existingData = fs.readFileSync(filePath, "utf8");
        fs.writeFileSync(filePath, newData + existingData);
    }
    catch (error) {
        if (error instanceof Error && error.message?.includes("ENOENT")) {
            // If the file does not exist, create it with the new data
            fs.writeFileSync(filePath, newData);
        }
    }
}
