import { type TemplateValidatorWarning } from "../types";
export interface PrintExecutionWarningsArgs {
    warnings: TemplateValidatorWarning[];
    showDocsLink?: boolean;
}
/**
 * Prints the warnings from the template execution, with a link to the documentation by default unless
 * showDocsLink is set to false.
 * @param {@link PrintExecutionWarningsArgs} args: The warnings to print and whether to show the documentation link (default true)
 */
export declare function printExecutionWarnings({ warnings, showDocsLink, }: PrintExecutionWarningsArgs): void;
//# sourceMappingURL=print-warnings.d.ts.map