import { Command } from "@oclif/core";
export declare abstract class RefreshConnectionsCommand extends Command {
    abstract runCommand(): Promise<any>;
    run(): Promise<any>;
    /**
     * Checks if the connections list should be automatically refreshed if
     * 1) IS_CI environment variable is not true; and
     * 2) AUTO_REFRESH_CONNECTIONS environment variable set to "true", true,
     * or if it is undefined (in which case it will be set to true).
     *
     * @returns {boolean} - true if the connections list should be refreshed, false otherwise.
     */
    private shouldAutoRefreshConnections;
}
//# sourceMappingURL=refresh-connections-command.d.ts.map